<?
if($keyword){
  $tmp=trim(@post('http://api.showji.com/Locating/default.aspx?m='.$keyword.'&output=json&callback=querycallback'));
  if($tmp){
    $s=@jsonDecode(substr($tmp,14,-2));
    if($s['Mobile']){
      $data=<<<ONEZ
手机号码：$s[Mobile]
所在省份：$s[Province]
所在城市：$s[City]
城市区号：$s[AreaCode]
邮政编码：$s[PostCode]
卡 类 型：$s[Corp] $s[Card]
ONEZ;
    }
  }
}
?>